View Issue Details

IDProjectCategoryView StatusLast Update
0036629FPCFCLpublic2020-01-25 23:59
ReporterMike Warot Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Fixed in Version3.3.1 
Summary0036629: Openssl unit fails with version 1.1.1c-ubuntu4
DescriptionPrompted by this Reddit request https://www.reddit.com/r/pascal/comments/etail0/fphttpclient_could_no_initialize_openssl/

As far as I can tell, the OpenSSL unit in the FPC run time library doesn't handle versions of openssl after .1.0.6,

Line 112 - DLLversions appears to be the key to this
Steps To ReproduceTFPHttpClient.SimpleGet('https://example.com')
Additional InformationI hope all this helps, this is my first time through the bug reporting process.
TagsNo tags attached.
Fixed in Revision
FPCOldBugId
FPCTarget3.2.0
Attached Files

Activities

NoName

2020-01-25 23:15

reporter   ~0120744

Last edited: 2020-01-25 23:18

View 3 revisions

Which FPC version?
Think 1.1.x is only supported with FPC 3.2 or newer (these FPC versions can easily be installed via fpcupdeluxe).

Michael Van Canneyt

2020-01-25 23:59

administrator   ~0120745

This has been fixed already and will be in version 3.2. Thanks for reporting, though !

Issue History

Date Modified Username Field Change
2020-01-25 21:00 Mike Warot New Issue
2020-01-25 23:15 NoName Note Added: 0120744
2020-01-25 23:18 NoName Note Edited: 0120744 View Revisions
2020-01-25 23:18 NoName Note Edited: 0120744 View Revisions
2020-01-25 23:59 Michael Van Canneyt Assigned To => Michael Van Canneyt
2020-01-25 23:59 Michael Van Canneyt Status new => resolved
2020-01-25 23:59 Michael Van Canneyt Resolution open => fixed
2020-01-25 23:59 Michael Van Canneyt Fixed in Version => 3.3.1
2020-01-25 23:59 Michael Van Canneyt FPCTarget => 3.2.0
2020-01-25 23:59 Michael Van Canneyt Note Added: 0120745